/*!
 	@file
 	@brief	DLL 操作のラッパクラス
 */

#ifndef CDllWrapper_h
#define CDllWrapper_h

#include"../../Setup/CompileMode.h"
#include"../../Setup/Win32.h"
#include"../Macro.h"
#include"../Debug/CException.h"


namespace Maid
{
	class CDllWrapper
	{
	public:
		CDllWrapper();
		~CDllWrapper();

		void	Load( const mstring& DllName );
		FARPROC	GetProcAddress( const mstring& FunctionName ) const;

		void Free();

	private:
		mstring				m_DllName;		//!<	読み込んだＤＬＬの名前
		HINSTANCE	m_hDll;			//!<	読みこんだＤＬＬのハンドル
	};
}

#endif
